Issue 81043

Summary: Connection "Microsoft Access" doesn`t work with Access 2007 (accdb)
Product: Base Reporter: Regina Henschel <rb.henschel>
Component: codeAssignee: marc.neumann
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: issues
Version: OOG680_m2   
Target Milestone: OOo 2.4   
Hardware: All   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation on: ---
Developer Difficulty: ---

Description Regina Henschel 2007-08-26 21:41:21 UTC
File > New > Database
Choose "Connect to an existing database"
Select "Microsoft Access" > Next
Click an 'Browse' Button
Only mdb-Files are listed.
Forcing complete listing with *.* and selecting accdb-File will continue Wizard,
but trying to use it leads to the error "Nicht erkennbares Datenbankformat"
(German WinXP).

OOo should provide an access to the new Access database format that is as easy
as the connection to the old format.
Comment 1 Frank Schönheit 2007-08-26 21:59:38 UTC
fs->oj: Since .accdb files need a new provider, we might need to introduce a new
database type (MS Access 2007) complementing the existing "MS Access" type.
Targeting to 2.4, since MSA interop surely is still an important goal.
Comment 2 ocke.janssen 2007-10-02 11:27:18 UTC
Fixed in cws dba24c
Comment 3 ocke.janssen 2007-10-02 12:16:39 UTC
Need an other data provider.
Comment 4 ocke.janssen 2007-10-30 13:58:20 UTC
Fixed in cws dba24c
Comment 5 ocke.janssen 2007-11-05 06:38:54 UTC
Please verify. Thanks.
Comment 6 marc.neumann 2007-11-12 12:26:11 UTC
When I open an "accdb" I get an "Function Sequence Error"
Comment 7 marc.neumann 2007-11-12 12:26:46 UTC
reassign back to oj.


Comment 8 ocke.janssen 2007-11-12 12:39:23 UTC
You need the latest ADO driver "Microsoft.ACE.OLEDB.12.0" to access MS Access
2007 files. 
Comment 9 ocke.janssen 2007-11-12 12:39:38 UTC
.
Comment 10 marc.neumann 2007-11-12 13:15:24 UTC
OK, with the "Microsoft.ACE.OLEDB.12.0" (*) driver I can open the database.

verified in CWS dba24c

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdba24c

(*) you can download this driver from microsoft
Comment 11 drewjensen.inbox 2008-03-10 13:28:43 UTC
Tested w/ XP and build m_10

Closing